<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100127";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
				////Arrastrando la Variable del Documento
				$NoDocSuEn=$_GET["txt_NoDoc"] or $NoDocSuEn=$_POST["txt_NoDoc"];
				
				////Identificar los datos del Documento de Recibo
				$sqlIDR1 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR1)==0) echo "";
				else{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				}
				if (mysql_numrows($sqlIDR1)>0)
				{
				$TipSalIDR1=$registroIDR1["TIPO_SALIDA"];
				$TipSurIDR1=$registroIDR1["TIPO_SURTIDO"];
				$CveDesIDR1=$registroIDR1["DESTINO"];	
				$VigeIDR1=$registroIDR1["DISPONIBILIDAD"];
				$EdoDIDR1=$registroIDR1["EDO_DOCUMENTO"];
				$PriIDR1=$registroIDR1["PRIORIDAD"];	
				}
				
				////Identificar Si el documento digitado Existe
				$sqlIDR2 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR2)==0) 
				{
				echo "<script>alert('El Documento de Surtido Digitado no Existe.\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=101-ImpresionGuiaEmbarque.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador del Documento Recibo
				
				////Identificar el estado del Documento
				if ($EdoDIDR1<>"CERRADO" and $EdoDIDR1<>"POR CERRAR")
				{
					echo "<script>alert('El Estado del Documento de Surtido no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=101-ImpresionGuiaEmbarque.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador de Estado de Documento

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
////include ("MenuEstructura.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br>
<?PHP
		
			//////////////////IDENTIFICAR DATOS DEL DOCUMENTO////////////////////////////////////////////////////////
			$sqlDS = mysql_query("select * from tabla_docsurtido WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
						
			if (mysql_numrows($sqlDS)==0) echo "";
			else{
			$registroDS=mysql_fetch_array($sqlDS);
			}
			if (mysql_numrows($sqlDS)>0)
			{
			$CFCreado=$registroDS["FECHA_CREADO"];
			$CFCierre=$registroDS["FECHA_CIERRE"];
			}
			//////////////FIN IDENTIFICAR DATOS DEL DOCUMENTO////////////////////////////////////////////////////////

			if ($CFCierre=="") //// DETECTAR SI EL DOCUMENTO YA ES APTO PARA GENERAR LA GUA DE EMBARQUE
			{ //// IF AG1
				echo "<script>alert('El Documento: $NoDocSuEn aún no es apto para procesar una guia de embarque.\\nFavor de corroborarlo.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=101-ImpresionGuiaEmbarque.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
			}
			else
			{ //// ELSE IF AG1
								
			//////////////////IDENTIFICAR DATOS EN LA TABLA TAREAS////////////////////////////////////////////////////////
				///$sqlTT = "select * from tabla_tareas WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' and SKU='$SkuC'";
				$sqlTT = "SELECT DISTINCT SKU,LOTE,LOTEPRODU FROM tabla_tareas WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
				$resTT=mysql_query($sqlTT) or die('Error en la consulta: '.mysql_error());
				While($rowTT = mysql_fetch_array($resTT,MYSQL_ASSOC))
				{ ///INICIA WHILE 2		
					$SkuC=$rowTT["SKU"];
					///$CCSurtida=$rowTT["CANT_SURTIDA"];
					$CNoDePall=$rowTT["NO_PALLET"];
					$CIdeLOTE=$rowTT["LOTE"];
					$CIdeLOTEPROD=$rowTT["LOTEPRODU"];
					
					///Sumar el total d piezas surtidas por SKU - LOTE - LOTEPRODUCCION
					$sqlSUMA = "SELECT SUM(CANT_SURTIDA) as ObtCant FROM tabla_tareas WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' AND SKU='$SkuC' AND LOTE='$CIdeLOTE' AND LOTEPRODU='$CIdeLOTEPROD'";
					$resSUMA = mysql_query($sqlSUMA); 
					$PrePiezas = mysql_fetch_assoc($resSUMA);
					$CCSurtida = $PrePiezas ['ObtCant']; 
				
				
					////Identificar la Descripcion del Producto
					$sql_IDes = mysql_query("select DESCRIPCION from tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' AND SKU='$SkuC'");
					if (mysql_numrows($sql_IDes)==0) echo "";
					else{
					$registro_IDes=mysql_fetch_array($sql_IDes);
					}
					if (mysql_numrows($sql_IDes)>0)
					{
					$DescC=$registro_IDes["DESCRIPCION"];
					}	
										
					///////GENERADOR DE FOLIO///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from temporal_guiaembarque"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
					//////GUARDAR EL LA BD//////////
					$sqlRF = "insert into temporal_guiaembarque (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,SKU,DESCRIPCION,LOTE,LOTEPRODU,REGISTRO,CIERRE,CANT_SURTIDA,PALLET)
        			values('$id_nuevo','$CveBodCR1','$CveCueCR1','$NoDocSuEn','$SkuC','$DescC','$CIdeLOTE','$CIdeLOTEPROD','$CFCreado','$CFCierre','$CCSurtida','$CNoDePall')";

					$resultadoRF=mysql_query($sqlRF,$conexion) or die(mysql_error());
				
			} ///FIN WHILE 2
		
			/////CONSULTA QUE ELIMINA LAS LINEAS QUE TIENEN 0 (CERO) EN LA CANTIDAD SURTIDA, YA QUE NO SE SURTIO NADA DE ESE DETALLE///////////////
			$sqlE= "DELETE FROM temporal_guiaembarque WHERE CVE_CUENTA='$CveCueCR1' AND CANT_SURTIDA='0'";
			$resultadoE=mysql_query($sqlE,$conexion) or die(mysql_error());
		
			////////////////ENVIAR DATOS AL REPORTE EN PDF////////////////
			///echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=ToPDF/Reportes/PDF_GuiaEmbarque.php?USUkp=$UsuEn&txt_NODOC=$NoDocSEn'>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=ToPDF/Reportes/PDF_GuiaEmbarque.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
			} //// FIN IF AG1

///////************************************************************************************************************************///////		
?>
</div>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
}//// Termina If Valiador de Estado de Documento
}//// Termina If Valiador del Documento Recibo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>